##### Script for simulating data for analysis with SNAPP/P2C2M #####

import glob
import re
import subprocess
import os
from extract_data2 import extract_data
from write_snapp3 import write_snapp

### Define Variables
npops = 6 # number of species/populations
indsperpop = 2 # number of samples per pop/species
sim_reps = 1 # number of simulations to perform for each model
wd = os.getcwd() + '/' # get working directory
wd = wd.replace(' ', '\ ') # format spaces in directory

### Simulate Data
# Model1
fsc_cmd = './fsc26 -i model1.par -n {0} -g'.format(sim_reps)
subprocess.call(fsc_cmd, shell = True) # run fsc
wd_cmd = 'mv model1/* {0}'.format(wd)
subprocess.call(wd_cmd, shell = True) # move all files to current working directory

# Model2

# Model3

# Model4


arp_names = glob.glob('*.arp') # get all arp file names
for file_name in arp_names:
	
### Convert SNPs to binary format, extract sample names and snps
	data = extract_data(file_name, npops, indsperpop)
	seqs = data[0]
	taxa_names = data[1]
	
### Prepare SNAPP xml file
	write_snapp(file_name, npops, indsperpop, taxa_names, seqs) # write nexus file for snapp